Bug 34311 - (SOUND ESS1688)SMP + nfs + xmms = deadlock
(SOUND ESS1688)SMP + nfs + xmms = deadlock
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-01 16:57 EDT by Sean Dilda
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Dilda 2001-04-01 16:57:58 EDT
this is with qa0328

I have a dual-processor box that I'm running xmms on to play mp3s that are
on an nfs mounted filesystem.  Whenever I play mp3s with this setup, the
machine locks.  It stops repsonding to the mouse/keyboard, pings, console
switching, everything..
If I boot the UP kernel, the deadlock doesn't occur.  If I copy the files
to the hd instead of playing them over nfs, the deadlock doesn't occur.  If
I switch to using mpg123 instead of xmms, the deadlock doesn't occur. (I
know xmms isn't part of kernel, but its the only thing that I've found that
will trigger the lock)
The deadlock is reporducable, but not always at the same time.  It tends to
happen between 30 seconds and 5 minutes into the song.  I've reproduced it
with several mp3s.  Even with the same mp3, it doesn't lock at the same
time.

The nfs server is a RH70 box sitting on the same switch.  The sound card is
an ESS  1868 PnP AudioDrive, a nsb compatible that uses the sb driver.  The
ethernet card is a RealTek 8139.
Comment 1 Arjan van de Ven 2001-04-01 17:08:07 EDT
This is interesting. XMMS is one of the few programs that use the realtime
capability of the
kernel... Could you try turning that option off in xmms and see if that changes
the hang?
Comment 2 Sean Dilda 2001-04-01 19:51:08 EDT
I checked and the realtime option was already turned off.  Also, I was running
as a normal user and the realtime option requires you to run xmms as root.
Comment 3 Bugzilla owner 2004-09-30 11:38:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.